org.springframework.data.relational.core.mapping.event

## Class AfterDeleteEvent<E>

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.data.relational.core.mapping.event.AbstractRelationalEvent<E>
      - - org.springframework.data.relational.core.mapping.event.RelationalDeleteEvent<E>
        - - org.springframework.data.relational.core.mapping.event.AfterDeleteEvent<E>

All Implemented Interfaces:
  Serializable, RelationalEvent<E>, WithAggregateChange<E>, WithId<E>

    public class AfterDeleteEvent<E>
    extends RelationalDeleteEvent<E>

Gets published after deletion of an entity. It will have a `Identifier` identifier. If the entity is null or not depends on the delete method used.

Since:
  2.0
Author:
  Jens Schauder
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`AfterDeleteEvent(Identifier id, E instance, AggregateChange<E> change)`

### Method Summary

### Methods inherited from class org.springframework.data.relational.core.mapping.event.RelationalDeleteEvent

`getAggregateChange, getEntity, getId, getType`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AfterDeleteEvent

    public AfterDeleteEvent(Identifier id,
                            @Nullable
                            E instance,
                            AggregateChange<E> change)

Parameters:
  `id` - of the entity. Must not be null.
  `instance` - the deleted entity if it is available. May be null.
  `change` - the `AggregateChange` encoding the actions that were performed on the database as part of the delete operation. Must not be null.